org.apache.tiles.request

## Class DispatchRequestWrapper

- java.lang.Object
- - org.apache.tiles.request.AbstractRequest
  - - org.apache.tiles.request.DispatchRequestWrapper

- All Implemented Interfaces:
    DispatchRequest, Request, RequestWrapper
  Direct Known Subclasses:
    AbstractViewRequest

      public class DispatchRequestWrapper
      extends AbstractRequest
      implements RequestWrapper

  Delegate for ease of customization.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tiles.request.AbstractRequest

      `FORCE_INCLUDE_ATTRIBUTE_NAME`

    - ### Fields inherited from interface org.apache.tiles.request.Request

      `APPLICATION_SCOPE, REQUEST_SCOPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DispatchRequestWrapper(DispatchRequest context)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `dispatch(String path)` Dispatches the request to a specified path.
    `ApplicationContext` | `getApplicationContext()` Returns the associated application context.
    `List<String>` | `getAvailableScopes()` Returns all available scopes.
    `Map<String,Object>` | `getContext(String scope)` Returns a context map, given the scope name.
    `Map<String,String>` | `getHeader()` Return an immutable Map that maps header names to the first (or only) header value (as a String).
    `Map<String,String[]>` | `getHeaderValues()` Return an immutable Map that maps header names to the set of all values specified in the request (as a String array).
    `OutputStream` | `getOutputStream()` Returns an output stream to be used to write directly in the response.
    `Map<String,String>` | `getParam()` Return an immutable Map that maps request parameter names to the first (or only) value (as a String).
    `Map<String,String[]>` | `getParamValues()` Return an immutable Map that maps request parameter names to the set of all values (as a String array).
    `PrintWriter` | `getPrintWriter()` Returns a print writer to be used to write directly in the response.
    `Locale` | `getRequestLocale()` Return the preferred Locale in which the client will accept content.
    `Addable<String>` | `getResponseHeaders()` Return an Addable object that can be used to write headers to the response.
    `DispatchRequest` | `getWrappedRequest()` Returns the wrapped Tiles request.
    `Writer` | `getWriter()` Returns a writer to be used to write directly in the response.
    `void` | `include(String path)` Includes the response from the specified URL in the current response output.
    `boolean` | `isResponseCommitted()` Checks if the response has been committed.
    `boolean` | `isUserInRole(String role)` Determine whether the specified user is in the given role.
    `void` | `setContentType(String contentType)` Sets the content type when rendering the result.

    - ### Methods inherited from class org.apache.tiles.request.AbstractRequest

      `isForceInclude, setForceInclude`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DispatchRequestWrapper

          public DispatchRequestWrapper(DispatchRequest context)

      Constructor.
      Parameters:
        `context` - The request context to wrap.

  - ### Method Detail

    - #### getWrappedRequest

          public DispatchRequest getWrappedRequest()

      Returns the wrapped Tiles request.
      Specified by:
        `getWrappedRequest` in interface `RequestWrapper`
      Returns:
        The wrapped Tiles request.

    - #### getHeader

          public Map<String,String> getHeader()

      Return an immutable Map that maps header names to the first (or only) header value (as a String).
      Specified by:
        `getHeader` in interface `Request`
      Returns:
        The header map.

    - #### getHeaderValues

          public Map<String,String[]> getHeaderValues()

      Return an immutable Map that maps header names to the set of all values specified in the request (as a String array). Header names must be matched in a case-insensitive manner.
      Specified by:
        `getHeaderValues` in interface `Request`
      Returns:
        The header values map.

    - #### getResponseHeaders

          public Addable<String> getResponseHeaders()

      Return an Addable object that can be used to write headers to the response.
      Specified by:
        `getResponseHeaders` in interface `Request`
      Returns:
        An Addable object.

    - #### getContext

          public Map<String,Object> getContext(String scope)

      Returns a context map, given the scope name. This method always return a map for all the scope names returned by getAvailableScopes(). That map may be writable, or immutable, depending on the implementation.
      Specified by:
        `getContext` in interface `Request`
      Parameters:
        `scope` - The name of the scope.
      Returns:
        The context.

    - #### getAvailableScopes

          public List<String> getAvailableScopes()

      Returns all available scopes. The scopes are ordered according to their lifetime, the innermost, shorter lived scope appears first, and the outermost, longer lived scope appears last. Besides, the scopes "request" and "application" always included in the list.
      Specified by:
        `getAvailableScopes` in interface `Request`
      Returns:
        All the available scopes.

    - #### getApplicationContext

          public ApplicationContext getApplicationContext()

      Returns the associated application context.
      Specified by:
        `getApplicationContext` in interface `Request`
      Returns:
        The application context associated to this request.

    - #### dispatch

          public void dispatch(String path)
                        throws IOException

      Dispatches the request to a specified path.
      Specified by:
        `dispatch` in interface `DispatchRequest`
      Parameters:
        `path` - The path to dispatch to.
      Throws:
        `IOException` - If something goes wrong during dispatching.

    - #### include

          public void include(String path)
                       throws IOException

      Includes the response from the specified URL in the current response output.
      Specified by:
        `include` in interface `DispatchRequest`
      Parameters:
        `path` - The path to include.
      Throws:
        `IOException` - If something goes wrong during inclusion.

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Returns an output stream to be used to write directly in the response.
      Specified by:
        `getOutputStream` in interface `Request`
      Returns:
        The output stream that writes in the response.
      Throws:
        `IOException` - If something goes wrong when getting the output stream.

    - #### getWriter

          public Writer getWriter()
                           throws IOException

      Returns a writer to be used to write directly in the response.
      Specified by:
        `getWriter` in interface `Request`
      Returns:
        The writer that writes in the response.
      Throws:
        `IOException` - If something goes wrong when getting the writer.

    - #### getPrintWriter

          public PrintWriter getPrintWriter()
                                     throws IOException

      Returns a print writer to be used to write directly in the response.
      Specified by:
        `getPrintWriter` in interface `Request`
      Returns:
        The print writer that writes in the response.
      Throws:
        `IOException` - If something goes wrong when getting the print writer.

    - #### isResponseCommitted

          public boolean isResponseCommitted()

      Checks if the response has been committed.
      Specified by:
        `isResponseCommitted` in interface `Request`
      Returns:
        `true` only if the response has been committed.

    - #### setContentType

          public void setContentType(String contentType)

      Sets the content type when rendering the result.
      Specified by:
        `setContentType` in interface `DispatchRequest`
      Parameters:
        `contentType` - The content type. It should follow the specifications from W3C about content types.

    - #### getParam

          public Map<String,String> getParam()

      Return an immutable Map that maps request parameter names to the first (or only) value (as a String).
      Specified by:
        `getParam` in interface `Request`
      Returns:
        The parameter map.

    - #### getParamValues

          public Map<String,String[]> getParamValues()

      Return an immutable Map that maps request parameter names to the set of all values (as a String array).
      Specified by:
        `getParamValues` in interface `Request`
      Returns:
        The parameter values map.

    - #### getRequestLocale

          public Locale getRequestLocale()

      Return the preferred Locale in which the client will accept content.
      Specified by:
        `getRequestLocale` in interface `Request`
      Returns:
        The current request locale. It is the locale of the request object itself, and it is NOT the locale that the user wants to use. See `LocaleResolver` to implement strategies to resolve locales.

    - #### isUserInRole

          public boolean isUserInRole(String role)

      Determine whether the specified user is in the given role.
      Specified by:
        `isUserInRole` in interface `Request`
      Parameters:
        `role` - the role to check against.
      Returns:
        `true` if the user is in the given role.

Copyright © 2000–2024 Apache Software Foundation. All rights reserved.